#include <config.h>

RCSID("$Id: setegid.c,v 1.2 1996/05/06 10:10:02 bg Exp $");

int
setegid(int egid)
{
#ifdef HAVE_SETREGID
    return setregid(-1, egid);
#endif

#ifdef HAVE_SETRESGID
    return setresgid(-1, egid, -1);
#endif

    return -1;
}
